Name:		alteeve-el8-repo
Version:	0.1
Release:	1
Summary:	RPM to install the Alteeve RPM repositories for EL8.

Group:		server
License:	GPL
URL:		https://alteeve.com
Source0:	https://alteeve.com/an-repo/el8/SOURCES/alteeve-el8-repo-0.1.tar.gz

BuildRequires:  rpm-build

BuildRoot:	/root/rpmbuild/BUILDROOT/
BuildArch:	noarch

%description

This package installs the repository for the Alteeve EL8 (RHEL / CentOS 8)
packages. This provides packages used by the Anvil! M3 generation of the 
Intelligent Availability™ system.

Support for the Anvil! platform is available from Alteeve, https://alteeve.com

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/
mkdir -p $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
cp -p alteeve-el8.repo $RPM_BUILD_ROOT/etc/yum.repos.d/
cp -p Alteeve-el8-GPG-KEY $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/alteeve-el8.repo
%config(noreplace) /etc/pki/rpm-gpg/Alteeve-el8-GPG-KEY

%changelog
* Mon Jun 22 2019 Madison Kelly <mkelly@alteeve.ca> 0.1-1
- First release for el8 proper repo.
